#!/bin/sh
#Convert L1C Products to L2A using L2A_Process
filename=$1	#L1C Filename /home/geoint/NAS/meridaL1C_2c/S2B_MSIL1C_20181005T163129_N0206_R083_T16QBH_20181005T214055.zip

basename=${filename##*/} #S2B_MSIL1C_20181005T163129_N0206_R083_T16QBH_20181005T214055.zip
#echo $filename
#echo $basename
Z1=$(echo $(echo $basename | cut -d "_" -f1) | cut -d "/" -f3)
Z2=$(echo $basename | cut -d "_" -f3,4,5,6,7 | cut -d "." -f1)

L2A=$Z1"_MSIL2A_"$Z2
#echo $L2A
if [ ! -e  $L2A.zip ]; then
	echo "Processing: " $filename " into " $L2A.zip
	unzip -o $filename
	DIRNAME=$(echo $basename | cut -d "/" --complement -f1,2)
	DIRNAME=$(echo $DIRNAME | cut -d "." -f1).SAFE
#	echo $DIRNAME
	L2A_Process $DIRNAME

	zip -r $L2A.zip $L2A.SAFE/
	rm -r $L2A.SAFE/
	rm -r $DIRNAME/
else
	echo "PASSING: " $L2A.zip " found"
fi

